import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取全部数组
mock.onGet('./assets/json/portlet-data.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,
    [
        {"type":"appde",
    "appCodeName":"IBIZAPPVIEW",
    "appName":"应用视图",
    "portletCodeName": "ViewList",
    "portletName": "视图列表",
    "groupCodeName":"PortletCat2",
    "groupName":"视图",
    "portletTYpe":"VIEW","componentName":"ibizappview-app-view-list-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPVIEW",
    "appName":"应用视图",
    "portletCodeName": "ViewChart",
    "portletName": "视图图表",
    "groupCodeName":"PortletCat2",
    "groupName":"视图",
    "portletTYpe":"CHART","componentName":"ibizappview-view-chart-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPVIEW",
    "appName":"应用视图",
    "portletCodeName": "appViewAmount",
    "portletName": "视图数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizappview-app-view-amount-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "portalComponentsList5",
    "portletName": "订单明细产品类型",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizorder-detail-portal-components-list5-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "OrderDetailsList",
    "portletName": "订单明细列表",
    "groupCodeName":"PortletCat6",
    "groupName":"订单明细",
    "portletTYpe":"VIEW","componentName":"ibizorder-detail-portal-components-list-view-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "portalComponentsList4",
    "portletName": "订单明细合计金额",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizorder-detail-portal-components-list4-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "OrderDetailsChart",
    "portletName": "订单明细图表",
    "groupCodeName":"PortletCat6",
    "groupName":"订单明细",
    "portletTYpe":"CHART","componentName":"ibizorder-detail-portal-components-histogram-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "portalComponentsList3",
    "portletName": "订单明细总数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizorder-detail-portal-components-list3-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "portalComponentsOperation",
    "portletName": "操作栏",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"ACTIONBAR","componentName":"ibizorder-portal-components-operation-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "OrderList",
    "portletName": "订单列表",
    "groupCodeName":"PortletCat5",
    "groupName":"订单",
    "portletTYpe":"LIST","componentName":"ibizorder-portal-components-list2-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "OrderChart",
    "portletName": "订单图表",
    "groupCodeName":"PortletCat5",
    "groupName":"订单",
    "portletTYpe":"CHART","componentName":"ibizorder-portal-components-chart-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPEDITOR",
    "appName":"编辑器",
    "portletCodeName": "EditorList",
    "portletName": "编辑器列表",
    "groupCodeName":"PortletCat4",
    "groupName":"编辑器",
    "portletTYpe":"VIEW","componentName":"ibizappeditor-app-editor-list-view-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPEDITOR",
    "appName":"编辑器",
    "portletCodeName": "EditorChart",
    "portletName": "编辑器图表",
    "groupCodeName":"PortletCat4",
    "groupName":"编辑器",
    "portletTYpe":"CHART","componentName":"ibizappeditor-editor-chart-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPEDITOR",
    "appName":"编辑器",
    "portletCodeName": "appEditorAmount",
    "portletName": "编辑器数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizappeditor-app-editor-amount-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZBOOK",
    "appName":"图书",
    "portletCodeName": "BookList",
    "portletName": "图书列表",
    "groupCodeName":"PortletCat",
    "groupName":"图书",
    "portletTYpe":"LIST","componentName":"ibizbook-portal-components-list-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZBOOK",
    "appName":"图书",
    "portletCodeName": "BookChart",
    "portletName": "图书图表",
    "groupCodeName":"PortletCat",
    "groupName":"图书",
    "portletTYpe":"VIEW","componentName":"ibizbook-portal-components-view-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPCTRL",
    "appName":"应用部件",
    "portletCodeName": "CtrlList",
    "portletName": "部件列表",
    "groupCodeName":"PortletCat3",
    "groupName":"部件",
    "portletTYpe":"VIEW","componentName":"ibizappctrl-app-ctrl-list-view-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPCTRL",
    "appName":"应用部件",
    "portletCodeName": "CtrlChart",
    "portletName": "部件图表",
    "groupCodeName":"PortletCat3",
    "groupName":"部件",
    "portletTYpe":"CHART","componentName":"ibizappctrl-ctrl-chart-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPCTRL",
    "appName":"应用部件",
    "portletCodeName": "appCtrlAmount",
    "portletName": "部件数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizappctrl-app-ctrl-amount-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPEXTENDEDITOR",
    "appName":"扩展编辑器",
    "portletCodeName": "appExtenfEditorListView",
    "portletName": "扩展编辑器列表",
    "groupCodeName":"PortletCat7",
    "groupName":"扩展编辑器",
    "portletTYpe":"VIEW","componentName":"ibizappextendeditor-app-extenf-editor-list-view-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPEXTENDEDITOR",
    "appName":"扩展编辑器",
    "portletCodeName": "appExtendEditorChart",
    "portletName": "扩展编辑器图表",
    "groupCodeName":"PortletCat7",
    "groupName":"扩展编辑器",
    "portletTYpe":"CHART","componentName":"ibizappextendeditor-app-extend-editor-chart-portlet"},
    {"type":"appde",
    "appCodeName":"IBIZAPPEXTENDEDITOR",
    "appName":"扩展编辑器",
    "portletCodeName": "appExtendEditorAmount",
    "portletName": "扩展编辑器数量",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"ibizappextendeditor-app-extend-editor-amount-portlet"},
    {"type":"app",
    "appCodeName":"IBIZBOOK",
    "appName":"图书",
    "portletCodeName": "BookList",
    "portletName": "图书列表",
    "groupCodeName":"PortletCat",
    "groupName":"图书",
    "portletTYpe":"LIST","componentName":"app-ibizbook-portal-components-list-portlet"},
    {"type":"app",
    "appCodeName":"IBIZBOOK",
    "appName":"图书",
    "portletCodeName": "BookChart",
    "portletName": "图书图表",
    "groupCodeName":"PortletCat",
    "groupName":"图书",
    "portletTYpe":"VIEW","componentName":"app-ibizbook-portal-components-view-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPEDITOR",
    "appName":"编辑器",
    "portletCodeName": "EditorList",
    "portletName": "编辑器列表",
    "groupCodeName":"PortletCat4",
    "groupName":"编辑器",
    "portletTYpe":"VIEW","componentName":"app-ibizappeditor-app-editor-list-view-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPEDITOR",
    "appName":"编辑器",
    "portletCodeName": "EditorChart",
    "portletName": "编辑器图表",
    "groupCodeName":"PortletCat4",
    "groupName":"编辑器",
    "portletTYpe":"CHART","componentName":"app-ibizappeditor-editor-chart-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPVIEW",
    "appName":"应用视图",
    "portletCodeName": "ViewList",
    "portletName": "视图列表",
    "groupCodeName":"PortletCat2",
    "groupName":"视图",
    "portletTYpe":"VIEW","componentName":"app-ibizappview-app-view-list-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPVIEW",
    "appName":"应用视图",
    "portletCodeName": "ViewChart",
    "portletName": "视图图表",
    "groupCodeName":"PortletCat2",
    "groupName":"视图",
    "portletTYpe":"CHART","componentName":"app-ibizappview-view-chart-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "OrderList",
    "portletName": "订单列表",
    "groupCodeName":"PortletCat5",
    "groupName":"订单",
    "portletTYpe":"LIST","componentName":"app-ibizorder-portal-components-list2-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "OrderChart",
    "portletName": "订单图表",
    "groupCodeName":"PortletCat5",
    "groupName":"订单",
    "portletTYpe":"CHART","componentName":"app-ibizorder-portal-components-chart-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "OrderDetailsList",
    "portletName": "订单明细列表",
    "groupCodeName":"PortletCat6",
    "groupName":"订单明细",
    "portletTYpe":"VIEW","componentName":"app-ibizorder-detail-portal-components-list-view-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "OrderDetailsChart",
    "portletName": "订单明细图表",
    "groupCodeName":"PortletCat6",
    "groupName":"订单明细",
    "portletTYpe":"CHART","componentName":"app-ibizorder-detail-portal-components-histogram-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPCTRL",
    "appName":"应用部件",
    "portletCodeName": "CtrlList",
    "portletName": "部件列表",
    "groupCodeName":"PortletCat3",
    "groupName":"部件",
    "portletTYpe":"VIEW","componentName":"app-ibizappctrl-app-ctrl-list-view-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPCTRL",
    "appName":"应用部件",
    "portletCodeName": "CtrlChart",
    "portletName": "部件图表",
    "groupCodeName":"PortletCat3",
    "groupName":"部件",
    "portletTYpe":"CHART","componentName":"app-ibizappctrl-ctrl-chart-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "portalComponentsList3",
    "portletName": "订单明细总数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizorder-detail-portal-components-list3-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "portalComponentsList5",
    "portletName": "订单明细产品类型",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizorder-detail-portal-components-list5-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrderDetail",
    "appName":"订单明细",
    "portletCodeName": "portalComponentsList4",
    "portletName": "订单明细合计金额",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizorder-detail-portal-components-list4-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "portalComponentsOperation",
    "portletName": "操作栏",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"ACTIONBAR","componentName":"app-ibizorder-portal-components-operation-portlet"},
    {"type":"app",
    "appCodeName":"IBIZOrder",
    "appName":"订单",
    "portletCodeName": "portalComponentsWeb",
    "portletName": "网页部件",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"HTML","componentName":"app-ibizorder-portal-components-web-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPVIEW",
    "appName":"应用视图",
    "portletCodeName": "appViewAmount",
    "portletName": "视图数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizappview-app-view-amount-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPCTRL",
    "appName":"应用部件",
    "portletCodeName": "appCtrlAmount",
    "portletName": "部件数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizappctrl-app-ctrl-amount-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPEDITOR",
    "appName":"编辑器",
    "portletCodeName": "appEditorAmount",
    "portletName": "编辑器数",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizappeditor-app-editor-amount-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPEXTENDEDITOR",
    "appName":"扩展编辑器",
    "portletCodeName": "appExtendEditorAmount",
    "portletName": "扩展编辑器数量",
    "groupCodeName":"Ungroup",
    "groupName":"（未分类）",
    "portletTYpe":"LIST","componentName":"app-ibizappextendeditor-app-extend-editor-amount-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPEXTENDEDITOR",
    "appName":"扩展编辑器",
    "portletCodeName": "appExtendEditorChart",
    "portletName": "扩展编辑器图表",
    "groupCodeName":"PortletCat7",
    "groupName":"扩展编辑器",
    "portletTYpe":"CHART","componentName":"app-ibizappextendeditor-app-extend-editor-chart-portlet"},
    {"type":"app",
    "appCodeName":"IBIZAPPEXTENDEDITOR",
    "appName":"扩展编辑器",
    "portletCodeName": "appExtenfEditorListView",
    "portletName": "扩展编辑器列表",
    "groupCodeName":"PortletCat7",
    "groupName":"扩展编辑器",
    "portletTYpe":"VIEW","componentName":"app-ibizappextendeditor-app-extenf-editor-list-view-portlet"}
    ]];
});